Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class _IDLTypeStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._IDLTypeStub

All Implemented Interfaces:
  IDLEntity, IDLType, IDLTypeOperations, IRObject, IRObjectOperations, Object, Serializable

public class _IDLTypeStub
extends ObjectImpl
implements IDLType

org/omg/CORBA/_IDLTypeStub.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl. 03 June 1999 11:33:44 o'clock GMT+00:00

See Also:
  Serialized Form

Constructor Summary
`_IDLTypeStub()` Constructs a default `_IDLTypeStub` object.
`_IDLTypeStub(Delegate delegate)` Constructs an `_IDLTypeStub` object initialized with the given `Delegate` object.

Method Summary
`String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`DefinitionKind` | `def_kind()` Returns the `DefinitionKind` corresponding to this Interface Repository object.
`void` | `destroy()` Destroys this object.
`TypeCode` | `type()` The type attribute describes the type defined by an object derived from `IDLType`.

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _IDLTypeStub

    public _IDLTypeStub()

  Constructs a default `_IDLTypeStub` object. NOTE: If the default constructor is used, the object is useless until the method `_set_delegate` has been called.

### _IDLTypeStub

    public _IDLTypeStub(Delegate delegate)

  Constructs an `_IDLTypeStub` object initialized with the given `Delegate` object.
  Parameters:
    `delegate` - a Delegate object

Method Detail

### type

    public TypeCode type()

  Description copied from interface: `IDLTypeOperations`
  The type attribute describes the type defined by an object derived from `IDLType`.
  Specified by:
    `type` in interface `IDLTypeOperations`
  Following copied from interface: `org.omg.CORBA.IDLTypeOperations`
  Returns:
    the `TypeCode` defined by this object.

### def_kind

    public DefinitionKind def_kind()

  Description copied from interface: `IRObjectOperations`
  Returns the `DefinitionKind` corresponding to this Interface Repository object.
  Specified by:
    `def_kind` in interface `IRObjectOperations`
  Following copied from interface: `org.omg.CORBA.IRObjectOperations`
  Returns:
    the `DefinitionKind` corresponding to this Interface Repository object.

### destroy

    public void destroy()

  Description copied from interface: `IRObjectOperations`
  Destroys this object. If the object is a Container, this method is applied to all its contents. If the object contains an IDLType attribute for an anonymous type, that IDLType is destroyed. If the object is currently contained in some other object, it is removed. If the method is invoked on a `Repository` or on a `PrimitiveDef` then the `BAD_INV_ORDER` exception is raised with minor value 2. An attempt to destroy an object that would leave the repository in an incoherent state causes `BAD_INV_ORDER` exception to be raised with the minor code 1.
  Specified by:
    `destroy` in interface `IRObjectOperations`
  Following copied from interface: `org.omg.CORBA.IRObjectOperations`
  Throws:
    ``BAD_INV_ORDER`` -

### _ids

    public String[] _ids()

  Description copied from class: `ObjectImpl`
  Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.
  Overrides:
    `_ids` in class `ObjectImpl`
  Following copied from class: `org.omg.CORBA.portable.ObjectImpl`
  Returns:
    the array of all repository identifiers supported by this `ObjectImpl` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.